module am
 type atype
 integer ::a
 end type atype
	integer hh
type (atype) :: kl
end module

program sss
use am
type (atype) :: k2
interface operator (.asd.)
! error ym 			not add scope
	function boolean_and(b1,b2)
		logical ,intent(in)::b1(:),b2(size(b1))
		logical ::boolean_and(size(b1))
	end function boolean_and
end interface
interface assignment (=)
        subroutine bit_to_numeric(n,b)
                integer ,intent(out)::n
                logical ,intent(in) ::b(:)
        end subroutine bit_to_numeric
end interface

logical a(100),d(100),c(100)
type(atype) :: dd(10)

i=k2%a

  i=b
 i=hh
	c=a .asd. d
end
